# midu-superid-plugin

## Install

`npm i -S midu-superid-plugin`

## Import Plugin

```js
import SuperID from 'midu-superid-plugin'
// or
const SuperID = require('midu-superid-plugin')
```

## Use Plugin
```js
import SuperID from 'midu-superid-plugin'

const appID = 'Your Midu Chrome Extentions Appid'

const superid = await SuperID.connect(appID)
if (!superid) {
  return console.error('no Midu Chrome Extensions')
}

//  login Midu Extentions
const user = await superid.login()
//   returns user info
console.log(user)
```

## Plugin Api
> login 插件登陆

 - parameters (object)</br>
 `channelId`: 登陆的路径(企业邮箱，链空间等等) default: 1

 - returns</br>
 用户信息包括 Session

 - examples
```js
 //  login Midu Extentions
const user = await superid.login()
//   returns user info
console.log(user)
```

----------
> settingSuperID 设置Superid

 - parameters (object)</br>
 `superId`: 用户设置的superid (必填)

 - returns</br>
 成功信息

 - examples
 ```js
 superid.settingSuperID({ superId: 123 })
 ```

----------
> purchaseSuperID 购买超级用户名

 - parameters (object)</br>
 `loginName`: 用户需要购买的超级用户名 (必填)</br>
 `currentPrice`: 该用户名的价格 (必填)

 - returns</br>
 成功信息

 - examples
```js
superid.purchaseSuperID({
    loginName: 'midu888',
    currentPrice: '1000'
})
```

----------
> getPayOrderId 获取订单编号

 - parameters (object)</br>
 `orderId`: 支付 时发送的成功是返回的订单id (必填)

 - returns</br>
 成功信息

 - examples
```js
superid.getPayOrderId({
    orderId: '121345622551222'
})
```

## updating...
